- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Namespaces | Functions
blas.h File Reference

Contains BLAS related functions. More...

`#include <af/defines.h>`

Go to the source code of this file.

## Namespaces
| af

## Functions
AFAPI array | matmul (const array &lhs, const array &rhs, const matProp optLhs=AF_MAT_NONE, const matProp optRhs=AF_MAT_NONE)
| Matrix multiply of two arrays. More...
AFAPI array | matmulNT (const array &lhs, const array &rhs)
| Matrix multiply of two arrays. More...
AFAPI array | matmulTN (const array &lhs, const array &rhs)
| Matrix multiply of two arrays. More...
AFAPI array | matmulTT (const array &lhs, const array &rhs)
| Matrix multiply of two arrays. More...
AFAPI array | matmul (const array &a, const array &b, const array &c)
| Chain 2 matrix multiplications. More...
AFAPI array | matmul (const array &a, const array &b, const array &c, const array &d)
| Chain 3 matrix multiplications. More...
AFAPI array | dot (const array &lhs, const array &rhs, const matProp optLhs=AF_MAT_NONE, const matProp optRhs=AF_MAT_NONE)
| Dot Product. More...
AFAPI array | transpose (const array &in, const bool conjugate=false)
| Transposes a matrix. More...
AFAPI void | transposeInPlace (array &in, const bool conjugate=false)
| Transposes a matrix in-place. More...
AFAPI af_err | af_matmul (af_array *out, const af_array lhs, const af_array rhs, const af_mat_prop optLhs, const af_mat_prop optRhs)
| Matrix multiply of two af_array. More...
AFAPI af_err | af_dot (af_array *out, const af_array lhs, const af_array rhs, const af_mat_prop optLhs, const af_mat_prop optRhs)
| Scalar dot product between two vectors. More...
AFAPI af_err | af_transpose (af_array *out, af_array in, const bool conjugate)
| Transposes a matrix. More...
AFAPI af_err | af_transpose_inplace (af_array in, const bool conjugate)
| Transposes a matrix in-place. More...

## Detailed Description

Contains BLAS related functions.

Contains functions for basic BLAS functionallity